import { ElementDefinitionsMap, FtLitElement } from "@fluid-topics/ft-wc-utils";
import { FtTextFieldSuggestionProperties } from "./ft-text-field-suggestion.properties";
export declare class SuggestionSelectedEvent extends CustomEvent<string> {
    constructor(value: string);
}
export declare class FtTextFieldSuggestion extends FtLitElement implements FtTextFieldSuggestionProperties {
    static elementDefinitions: ElementDefinitionsMap;
    value?: string;
    helper?: string;
    private container?;
    private assignedNodes;
    static styles: import("lit").CSSResult;
    render(): import("lit-html").TemplateResult<1>;
    focus(options?: FocusOptions): void;
    click(): void;
    private confirmSuggestion;
    getValue(): string;
    get textContent(): string;
    private onKeyDown;
}
