A text input component.

## Install

```shell
npm install @fluid-topics/ft-text-field
yarn add @fluid-topics/ft-text-field
```

## Usage

```typescript
import {html} from "lit"
import "@fluid-topics/ft-text-field"

function render() {
    return html` 
            <ft-text-field label="Label"
                          value="Value"
                          @change=${(e: CustomEvent) => console.log("Value changed:", e.detail)}
                          @live-change=${(e: CustomEvent) => console.log("Value live changed:", e.detail)}>
            </ft-text-field>
           `
}
```
