import { css } from "lit";
import { FtTextFieldCssVariables } from "./ft-text-field.styles";
// language=CSS
export const suggestionStyles = css `
    .ft-text-field-suggestion {
        position: relative;
        padding: 8px 16px;
        cursor: pointer;
        min-height: 44px;
        box-sizing: border-box;
        outline: none;
    }

    .ft-text-field-suggestion,
    .ft-text-field-suggestion--label {
        display: flex;
        align-items: center;
        gap: 8px;
    }

    .ft-text-field-suggestion--label {
        flex-grow: 1;
        flex-shrink: 1;
    }

    .ft-text-field-suggestion--with-helper {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 0;
    }

    .ft-text-field-suggestion--helper-text {
        color: ${FtTextFieldCssVariables.helperColor};
    }

    slot {
        pointer-events: none;
    }
`;
